Skip to main content
PATCH
/
v1
/
customers
/
{idOrCode}
Error
A valid request URL is required to generate request examples
{
  "status": 123,
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

unique identifier access key. each brand has it own unique key.

Path Parameters

idOrCode
string
required

customer identifier. search priority: 1) code, 2) id

Body

application/json
phone
string
countryCode
string
status
enum<string>
Available options:
DRAFT,
PENDING,
APPROVED,
BLOCKED,
INACTIVE
companyName
string
commercialName
string
stateInscription
string
email
string
observation
string
addresses
object[]
salesRepresentatives
object[]
classifications
object[]
priceTable
object
creditLimit
number
availableBalance
number
suframaCode
string
customFields
object[]

custom fields to be set to the customer

contacts
object[] | null

customer contacts to be updated. each contact must have a name and at least email or phone. duplicate emails or phones are not allowed. if provided as array, all existing contacts will be replaced. if provided as null or empty array, all contacts will be removed

Response

customer updated

status
number
required
message
string